Summary: Netscape plug-in to allow any X program to be used as an inline viewer
Name: xswallow
Version: 1.0.10
Release: 2
Source: http://skynet.csn.ul.ie/~caolan/publink/X/XswallowSource-1.0.10.tar.gz
Requires: netscape
ExclusiveOS: Linux IRIX SunOS5 SunOS4 HP-UX OSF1
Copyright: GPL
URL: http://skynet.csn.ul.ie/~caolan/docs/XSwallow.html
Packager: mjlong@mindspring.com (Michael J. Long)
Group: X11/Applications/Networking
Prefix: /usr/local
Buildroot: /tmp/xswallow-root
%description
X Swallow is a plugin cobbled together to allow any X program to be
used as an inline viewer for any appropiate MIME type. So a MIME type
(e.g. x-world/x-vrml) for which there does not exist, as of the moment,
a plug-in for Linux Netscape can be viewed inline with ordinary VRML
viewers such as VRweb/Liquid Reality.

Also, it has all the abilities of mimeplugin by Carl Shimer &
Michael J. Long, on which Xswallow is based, and can be therefore
be used to handle MIME types that are handled by programs with no
graphical interface, audio formats for the most part.

%prep
%setup -n PluginSDK30b5/xswallow

%build
%ifos Linux
make -f makefile.linux clean
make -f makefile.linux
%endif
%ifos IRIX
make -f makefile.sgi clean
make -f makefile.sgi
%endif
%ifos SunOS5
make -f makefile.sol23 clean
make -f makefile.sol23
%endif
%ifos SunOS4
make -f makefile.sun4 clean
make -f makefile.sun4
%endif
%ifos HP-UX
make -f makefile.hpux clean
make -f makefile.hpux
%endif
%ifos OSF1
make -f makefile.osf1 clean
make -f makefile.osf1
%endif

%install
rm -fr ${RPM_BUILD_ROOT}
install -d -m755 ${RPM_BUILD_ROOT}/usr/local/lib/netscape/plugins
install -m644 xswallow.conf ${RPM_BUILD_ROOT}/usr/local/lib/netscape
install -m755 xswallow.so ${RPM_BUILD_ROOT}/usr/local/lib/netscape/plugins

%clean
rm -fr ${RPM_BUILD_ROOT}

%files
%attr( -, root, root ) %doc README BUGFIXES dispatch-vrml-c
%attr( -, root, root ) %config /usr/local/lib/netscape/xswallow.conf
%attr( -, root, root ) /usr/local/lib/netscape/plugins/xswallow.so
